#!/usr/bin/env bash
VIRSH_CONNECT="${VIRSH_CONNECT:=qemu:///system}"
VIRSH_VOL_POOL="${VIRSH_VOL_POOL:=default}"

for domain in $(virsh -c "${VIRSH_CONNECT}" list --name --all); do
  virsh -c "${VIRSH_CONNECT}" destroy "${domain}" || true
  virsh -c "${VIRSH_CONNECT}" undefine "${domain}" || true
done

for volume in $(virsh -c "${VIRSH_CONNECT}" vol-list --pool "${VIRSH_VOL_POOL}" | tail -n +3 | sed -E 's/^\s*([^\s]+)\s+.*$/\1/'); do
  virsh -c "${VIRSH_CONNECT}" vol-delete --pool "${VIRSH_VOL_POOL}" "${volume}" || true
done
